{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
    ../../users/simon
  ];

  sbruder = {
    cpu.intel.enable = true;
    gpu.intel.enable = true;
    gui.enable = true;
    libvirt.enable = true;
    media-proxy.enable = true;
    restic.enable = true;
    ssd.enable = true;
    wireguard.home = {
      enable = true;
      address = "10.80.0.4";
    };
  };

  services.tor = {
    enable = true;
    client.enable = true;
  };

  networking.hostName = "nunotaba";
}
