{ config, pkgs, ... }:
{
  imports = [
    (import "${(import ../../nix/sources.nix).home-manager}/nixos")
  ];

  users.users.simon = {
    isNormalUser = true;
    extraGroups = [
      "adbusers"
      "dialout"
      "docker"
      "libvirtd"
      "lp"
      "networkmanager"
      "video"
      "wheel"
    ];
    openssh.authorizedKeys.keys = config.sbruder.pubkeys.trustedKeys;
    initialPassword = "foobar"; # for vm
  };

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;

  home-manager.users.simon = { lib, pkgs, ... }: {
    options.sbruder = {
      gui.enable = lib.mkOption {
        type = lib.types.bool;
        default = config.sbruder.gui.enable;
        description = "Whether to enable gui";
      };
    };

    imports = [ ./modules ];
  };
}
